<?xml version="1.0" encoding="UTF-8"?>

<?if invisibleKeyboard?>
<multiKeyboard id="multiKeyboard.filter"        keyboard="mkeyboard.filter.layout"    position="pos.dlgKeyboard.filter.invis"/>
<multiKeyboard id="multiKeyboard.edit"          keyboard="mkeyboard.edit.layout"      position="pos.dlgKeyboard.edit.invis"/>

<multiKeyboard id="multiKeyboard.sl.edit"       keyboard="mkeyboard.sl.edit.layout"   position="pos.dlgKeyboard.edit.invis"/>
<multiKeyboard id="multiKeyboard.sl.email"      keyboard="mkeyboard.sl.email"         position="pos.dlgKeyboard.edit.invis"/>
<multiKeyboard id="multiKeyboard.numeric"       keyboard="mkeyboard.edit.houseNumber" position="pos.dlgKeyboard.filter.invis"/>
<multiKeyboard id="multiKeyboard.edit.numeric"  keyboard="mkeyboard.edit.numeric.sa"  position="pos.dlgKeyboard.edit.invis"/>
<multiKeyboard id="multiKeyboard.code"          keyboard="mkeyboard.edit.code"        position="pos.dlgKeyboard.edit.invis"/>
<?endif invisibleKeyboard?>


<?if visibleKeyboard?>
<multiKeyboard id="multiKeyboard.filter"        keyboard="mkeyboard.filter.layout"    position="pos.dlgKeyboard.filter"/>
<multiKeyboard id="multiKeyboard.edit"          keyboard="mkeyboard.edit.layout"      position="pos.dlgKeyboard.edit"/>

<multiKeyboard id="multiKeyboard.sl.edit"       keyboard="mkeyboard.sl.edit.layout"   position="pos.dlgKeyboard.edit"/>
<multiKeyboard id="multiKeyboard.sl.email"      keyboard="mkeyboard.sl.email"         position="pos.dlgKeyboard.edit"/>
<multiKeyboard id="multiKeyboard.numeric"       keyboard="mkeyboard.edit.houseNumber" position="pos.dlgKeyboard.filter"/>
<multiKeyboard id="multiKeyboard.edit.numeric"  keyboard="mkeyboard.edit.numeric.sa"  position="pos.dlgKeyboard.edit"/>
<multiKeyboard id="multiKeyboard.code"          keyboard="mkeyboard.edit.code"        position="pos.dlgKeyboard.edit"/>
<?endif visibleKeyboard?>


<chinaInput id="chnInput.pinYin" position="pos.chinaInput.normal"/>	
<chinaInput id="chnInput.zhuYin" position="pos.chinaInput.normal"/>
<chinaInput id="chnInput.handWrite" position="pos.chinaInput.handWrite"/>

<!-- PinYin Chinese Input method -->       	        

      
<pinYinButton id="chnInput.pinYin.buttonPrev"  position="pos.chnInput.prev"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.1" position="pos.chnInput.b1"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.2" position="pos.chnInput.b2"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.3" position="pos.chnInput.b3"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.4" position="pos.chnInput.b4"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.5" position="pos.chnInput.b5"/>
<pinYinButton id="chnInput.pinYin.buttonSmall.6" position="pos.chnInput.b6"/>
<pinYinButton id="chnInput.pinYin.buttonNext"  position="pos.chnInput.next"/>
<!-- PinYin Chinese Input method --> 

<!-- ZhuYin Chinese Input method -->      	        

 
<zhuYinButton id="chnInput.zhuYin.buttonPrev"  position="pos.chnInput.prev"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.1" position="pos.chnInput.b1"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.2" position="pos.chnInput.b2"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.3" position="pos.chnInput.b3"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.4" position="pos.chnInput.b4"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.5" position="pos.chnInput.b5"/>
<zhuYinButton id="chnInput.zhuYin.buttonSmall.6" position="pos.chnInput.b6"/>
<zhuYinButton id="chnInput.zhuYin.buttonNext"  position="pos.chnInput.next"/>
<!-- ZhuYin Chinese Input method -->

<!-- Common Chinese -->
<edit id="chnInput.edit" position="pos.chinaInput.edit" textStyle="text.chnInput" fill="fill.keyboard.bgr"/>
<position id="pos.chinaInput.edit" deltaX1="=#4" relatX1="0" deltaX2="=#-2" relatX2="0.2" deltaY1="=#4" relatY1="0" deltaY2="0" relatY2="=1"/>
  
<position id="pos.chnInput.prev" deltaX1="=#0" relatX1="0.2" deltaX2="=#-1" relatX2="0.3" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b1" deltaX1="=#0" relatX1="0.3" deltaX2="=#-1" relatX2="0.4" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b2" deltaX1="=#0" relatX1="0.4" deltaX2="=#-1" relatX2="0.5" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b3" deltaX1="=#0" relatX1="0.5" deltaX2="=#-1" relatX2="0.6" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b4" deltaX1="=#0" relatX1="0.6" deltaX2="=#-1" relatX2="0.7" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b5" deltaX1="=#0" relatX1="0.7" deltaX2="=#-1" relatX2="0.8" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.b6" deltaX1="=#0" relatX1="0.8" deltaX2="=#-1" relatX2="0.9" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<position id="pos.chnInput.next" deltaX1="=#0" relatX1="0.9" deltaX2="=#-1" relatX2="1" deltaY1="=#1" relatY1="0" deltaY2="=#-1" relatY2="1"/>
<!-- Common Chinese -->

<!-- Help -->
<!-- 
    @   = Medzera medzi klavesami (Hluche miesto)
    @n  = novy riadok v klavesnici
    +   = Zvacsi tlacidlo 2x
    -   = Zmensi tlacidlo o 1/2
    %   = Zmecsi tlacidlo o 1/4
    !   = Klavesa sa bude kreslit so specialnym fillom
    $   = Klavesa sa bude kreslit so specialnym fontom
-->
<!-- Help -->
<!-- keyboards for filtering -->

<!-- 1 = ROMAN -->
<keyboard id="mkeyboard.filter.qwerty"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @+-% @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.filter.qwertz"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="Q W E R T Z U I O P @n @- A S D F G H J K L @- @n @+-% @-% Y X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.filter.azerty"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="A Z E R T Y U I O P @n @- Q S D F G H J K L @- @n @+-% @-% W X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 2 = CYRILLIC -->
<keyboard id="mkeyboard.filter.russian"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="Й Ц У К Е Н Г Ш Щ З Х Ъ @n @- Ф Ы В А П Р О Л Д Ж Э @- @n @+-% @-% Я Ч С М И Т Ь Б Ю @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.filter.serbian"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="Љ Њ Е Р Т З У И О П Ш Ђ @n @- А С Д Ф Г Х Ј К Л Ч Ћ @- @n @+-% @- Ѕ Џ Ц В Б Н М Ж @% @!$+-_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.filter.bulgarian"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="@+-- У Е И Ш Щ К С Д З Ц Ч @n @- Ь Я А О Ж Г Т Н В М Б @- @n @+-% @-% Ю Й Ъ Э Ф Х П Р Л @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 3 = GREEK -->
<keyboard id="mkeyboard.filter.greek"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="@+-- ς Ε Ρ Τ Υ Θ Ι Ο Π @n @- Α Σ Δ Φ Γ Η Ξ Κ Λ @- @n @+-% @-% Ζ Χ Ψ Ω Β Ν Μ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<!-- 4 = ARABIC -->
<keyboard id="mkeyboard.filter.uae"  link="_numeric=mkeyboard.filter.numeric.arab _alpha=mkeyboard.filter.uae" bottomSpacing="20 10 10 35 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج د ذ @n @- ش س ي ب ل ا ت ن م ك ط @- @n @+-% @-% ئ ء ؤ ر لا ى ة و ز ظ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.filter.farsi"  link="_numeric=mkeyboard.filter.numeric.arab _alpha=mkeyboard.filter.farsi" bottomSpacing="20 10 10 35 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج چ ژ @n @- ش س ی ب ل ا ت ن م ک گ پ @- @n @+-% @-% ظ ط ز ر ذ د ئ و آ أ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 5 = HEBREW -->
<keyboard id="mkeyboard.filter.hebrew"  link="_numeric=mkeyboard.filter.numeric" bottomSpacing="20 10 10 35 25"
  charset="@+-- ' ק ר א ט ו ן ם פ ף@- @n @- ש ד ג כ ע י ח ל ך ץ @n @+-% @-% ז ס ב ה נ מ צ ת @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 6 = THAI -->
<keyboard id="mkeyboard.filter.thai"  link="_numeric=mkeyboard.filter.numeric _upper=mkeyboard.filter.THAI" bottomSpacing="20 10 10 35 25"
  charset="ๅ ภ ถุ ุ ึ ค ต จ ข ช ล ฃ @n @- ๆ ไ ำ พ ะ ั ี ร น ย บ @n @+-- ฟ ห ก ด เ ้ ่ า ส ว ง  @n @!$+-%_upper @-% ผ ป แ อ ิ ื ท ม ฝ  @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<keyboard id="mkeyboard.filter.THAI"  link="_numeric=mkeyboard.filter.numeric _lower=mkeyboard.filter.thai" bottomSpacing="20 10 10 35 25"
  charset="@+-- ๑ ๒ ๓ ๔ ู ฿ ๕ ๖ ๗ ๘ ๙ @n @- ๐ ฎ ฑ ธ ํ ๊ ณ ฯ ญ ฐ ฅ @n @+-- ฤ ฆ ฏ โ ฌ ็ ๋ ษ ศ ซ  @n @!$+-%_lower @-% @+-- ฉ ฮ ฺ ์ ฒ ฬ ฦ ใ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 8 = CHINESE -->
<keyboard id="mkeyboard.filter.pinyin" topHeigth="=#30" link="_numeric=mkeyboard.filter.numeric _alpha=mkeyboard.filter.piyin"  bottomSpacing="20 10 10 35 25"
  charset="@n Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @+-% @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<keyboard id="mkeyboard.filter.zhuyin" topHeigth="=#30" link="_numeric=mkeyboard.filter.numeric _upper=mkeyboard.filter.ZHUYIN" bottomSpacing="20 10 10 35 25"
    charset="@n @- ㄅ ㄆ ㄇ ㄈ ㄉ ㄊ ㄋ ㄌ @- @n ㄍ ㄎ ㄏ ㄐ ㄑ ㄒ ㄧ ㄨ ㄩ @n @!$+-%_upper @-% ㄓ ㄔ ㄕ ㄖ ㄗ ㄘ ㄙ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<keyboard id="mkeyboard.filter.ZHUYIN" topHeigth="=#30" link="_numeric=mkeyboard.filter.numeric _lower=mkeyboard.filter.zhuyin" lock="no" bottomSpacing="20 10 10 35 25"
    charset="@n @- ㄚ ㄛ ㄜ ㄝ ㄞ ㄟ ㄠ ㄡ @- @n @+-- ㄢ ㄣ ㄤ ㄥ ㄦ ㄧ ㄨ ㄩ @n @!$+-%_lower @-% @$+% @$+% @$+% @$+% @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- NUMERIC -->
<keyboard id="mkeyboard.filter.numeric" link="_alpha=mkeyboard.filter.layout" bottomSpacing="20 10 45 25"
  charset="1 2 3 4 5 @n 6 7 8 9 0 @n + - . / @-% @!$%_backspace @n @!$_back @!$_alpha @$_space @!$_done"/>
<!-- NUMERIC  ARABIC-->
<keyboard id="mkeyboard.filter.numeric.arab" link="_alpha=mkeyboard.filter.layout" bottomSpacing="20 10 30 20 20"
  charset="7 8 9 + ٧ ٨ ٩ @n 4 5 6 - ٤ ٥ ٦ @n 1 2 3 * ١ ٢ ٣ @n @+0 . / @+٠ ٫ @n @!$_back @!$_alpha @$_space @!$_backspace @!$_done"/>
<!-- HOUSENUMBER -->
<keyboard id="mkeyboard.filter.houseNumber" lock="yes" bottomSpacing="30 45 25"
  charset="1 2 3 4 5 @n 6 7 8 9 0 @n @!$_back @!$_backspace @!$_done"/>


<!-- keyboards for editing -->

<!-- 1 = ROMAN -->
<!-- QWERTY -->
<keyboard id="mkeyboard.edit.qwerty"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.QWERTY" bottomSpacing="20 10 10 15 20 25"
  charset="q w e r t y u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% z x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.QWERTY"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.qwerty" lock="no" bottomSpacing="20 10 10 15 20 25"
  charset="Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.qwerty"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.QWERTY" bottomSpacing="20 10 10 35 25"
  charset="q w e r t y u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% z x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.QWERTY"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.qwerty " lock="no" bottomSpacing="20 10 10 35 25"
  charset="Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<!-- QWERTZ -->
<keyboard id="mkeyboard.edit.qwertz"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.QWERTZ" bottomSpacing="20 10 10 15 20 25"
  charset="q w e r t z u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% y x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.QWERTZ"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.qwertz " lock="no" bottomSpacing="20 10 10 15 20 25"
  charset="Q W E R T Z U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Y X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.qwertz"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.QWERTZ" bottomSpacing="20 10 10 35 25"
  charset="q w e r t z u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% y x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.QWERTZ"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.qwertz " lock="no" bottomSpacing="20 10 10 35 25"
  charset="Q W E R T Z U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Y X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<!-- AZERTY -->
<keyboard id="mkeyboard.edit.azerty"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.AZERTY" bottomSpacing="20 10 10 15 20 25"
  charset="a z e r t y u i o p @n @- q s d f g h j k l @- @n @!$+-%_upper @-% w x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.AZERTY"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.azerty" lock="no" bottomSpacing="20 10 10 15 20 25"
  charset="A Z E R T Y U I O P @n @- Q S D F G H J K L @- @n @!$+-%_lower @-% W X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.azerty"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.AZERTY" bottomSpacing="20 10 10 35 25"
  charset="a z e r t y u i o p @n @- q s d f g h j k l @- @n @!$+-%_upper @-% w x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.AZERTY"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.azerty" lock="no" bottomSpacing="20 10 10 35 25"
  charset="A Z E R T Y U I O P @n @- Q S D F G H J K L @- @n @!$+-%_lower @-% W X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 2 = CYRILLIC -->
<!-- RUSSIAN -->
<keyboard id="mkeyboard.edit.russian"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.RUSSIAN" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="й ц у к е н г ш щ з х ъ @n @- ф ы в а п р о л д ж э @- @n @!$+-%_upper @-% я ч с м и т ь б ю @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.RUSSIAN"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.russian" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="Й Ц У К Е Н Г Ш Щ З Х Ъ @n @- Ф Ы В А П Р О Л Д Ж Э @- @n @!$+-%_lower @-%  Я Ч С М И Т Ь Б Ю @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.russian"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.RUSSIAN" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="й ц у к е н г ш щ з х ъ @n @- ф ы в а п р о л д ж э @- @n @!$+-%_upper @-% я ч с м и т ь б ю @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.RUSSIAN"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.russian" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="Й Ц У К Е Н Г Ш Щ З Х Ъ @n @- Ф Ы В А П Р О Л Д Ж Э @- @n @!$+-%_lower @-% Я Ч С М И Т Ь Б Ю @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<!-- SERBIAN -->
<keyboard id="mkeyboard.edit.serbian"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.SERBIAN" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="љ њ е р т з у и о п ш ђ @n @- а с д ф г х ј к л ч ћ @- @n @!$+-%_upper @-% ѕ џ ц в б н м ж @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.SERBIAN"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.serbian" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="Љ Њ Е Р Т З У И О П Ш Ђ @n @- А С Д Ф Г Х Ј К Л Ч Ћ @- @n @!$+-%_lower @-%  Ѕ Џ Ц В Б Н М Ж @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.serbian"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.SERBIAN" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="љ њ е р т з у и о п ш ђ @n @- а с д ф г х ј к л ч ћ @- @n @!$+-%_upper @-% ѕ џ ц в б н м ж @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.SERBIAN"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.serbian" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="Љ Њ Е Р Т З У И О П Ш Ђ @n @- А С Д Ф Г Х Ј К Л Ч Ћ @- @n @!$+-%_lower @-% Ѕ Џ Ц В Б Н М Ж @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<!-- BULGARIAN -->
<keyboard id="mkeyboard.edit.bulgarian"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.BULGARIAN" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="@+-- у е и ш щ к с д з ц ч @n @- ь я а о ж г т н в м б @- @n @!$+-%_upper @-% ю й ъ э ф х п р л @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.BULGARIAN"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.bulgarian" lock="no"  bottomSpacing="20 10 10 15 20 25"
  charset="@+-- У Е И Ш Щ К С Д З Ц Ч @n @- Ь Я А О Ж Г Т Н В М Б @- @n @!$+-%_lower @-% Ю Й Ъ Э Ф Х П Р Л @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.bulgarian"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.BULGARIAN" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="@+-- у е и ш щ к с д з ц ч @n @- ь я а о ж г т н в м б @- @n @!$+-%_upper @-% ю й ъ э ф х п р л @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.BULGARIAN"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.bulgarian" lock="no"  bottomSpacing="20 10 10 35 25"
  charset="@+-- У Е И Ш Щ К С Д З Ц Ч @n @- Ь Я А О Ж Г Т Н В М Б @- @n @!$+-%_lower @-% Ю Й Ъ Э Ф Х П Р Л @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 3 = GREEK -->
<keyboard id="mkeyboard.edit.greek"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.GREEK" lock="no" bottomSpacing="20 10 10 15 20 25"
  charset="@+-- ς ε ρ τ υ θ ι ο π @n @- α σ δ φ γ η ξ κ λ @- @n @!$+-%_upper @-% ζ χ ψ ω β ν μ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.GREEK"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.greek" lock="no" bottomSpacing="20 10 10 15 20 25"
  charset="@+ Ε Ρ Τ Υ Θ Ι Ο Π @n @- Α Σ Δ Φ Γ Η Ξ Κ Λ @- @n @!$+-%_lower @-% Ζ Χ Ψ Ω Β Ν Μ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.greek"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.GREEK" lock="no" bottomSpacing="20 10 10 35 25"
  charset="@+-- ς ε ρ τ υ θ ι ο π @n @- α σ δ φ γ η ξ κ λ @- @n @!$+-%_upper @-% ζ χ ψ ω β ν μ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.GREEK"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.greek" lock="no" bottomSpacing="20 10 10 35 25"
  charset="@+ Ε Ρ Τ Υ Θ Ι Ο Π @n @- Α Σ Δ Φ Γ Η Ξ Κ Λ @- @n @!$+-%_lower @-% Ζ Χ Ψ Ω Β Ν Μ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 4 = ARABIC -->
<keyboard id="mkeyboard.edit.uae"  link="_numeric=mkeyboard.edit.numeric.arab" bottomSpacing="20 10 10 15 20 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج د @n @- ش س ي ب ل ا ت ن م ك ذ @- @n ئ ء ؤ ر لا ى ة و ز ظ ط @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.edit.farsi"  link="_numeric=mkeyboard.edit.numeric.arab" bottomSpacing="20 10 10 15 20 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج چ ژ @n @- ش س ی ب ل ا ت ن م ک گ پ @- @n  ظ ط ز ر ذ د ئ و آ أ @+- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.uae"  link="_numeric=mkeyboard.sl.edit.numeric.arab" bottomSpacing="20 10 10 35 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج د @n @- ش س ي ب ل ا ت ن م ك ذ @- @n ئ ء ؤ ر لا ى ة و ز ظ ط @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<keyboard id="mkeyboard.sl.edit.farsi"  link="_numeric=mkeyboard.sl.edit.numeric.arab" bottomSpacing="20 10 10 35 25"
  charset="ض ص ث ق ف غ ع ه خ ح ج چ ژ @n @- ش س ی ب ل ا ت ن م ک گ پ @- @n  ظ ط ز ر ذ د ئ و آ أ @+- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>


<!-- 5 = HEBREW -->
<keyboard id="mkeyboard.edit.hebrew"  link="_numeric=mkeyboard.edit.numeric" bottomSpacing="20 10 10 15 20 25"
  charset="@- ' ק ר א ט ו ן ם פ ף@- @n ש ד ג כ ע י ח ל ך ץ @- @n @!$+-- ז ס ב ה נ מ צ ת @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.hebrew"  link="_numeric=mkeyboard.sl.edit.numeric" bottomSpacing="20 10 10 35 25"
  charset="@- ' ק ר א ט ו ן ם פ ף@- @n ש ד ג כ ע י ח ל ך ץ @- @n @!$+-- ז ס ב ה נ מ צ ת @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 6 = THAI -->
<keyboard id="mkeyboard.edit.thai"  link="_numeric=mkeyboard.edit.numeric _upper=mkeyboard.edit.THAI"  bottomSpacing="20 10 10 15 20 25"
  charset="ๅ ภ ถุ ุ ึ ค ต จ ข ช ล ฃ @n @- ๆ ไ ำ พ ะ ั ี ร น ย บ @n @!$+-- ฟ ห ก ด เ ้ ่ า ส ว ง  @n @!$+-%_upper @-% ผ ป แ อ ิ ื ท ม ฝ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.THAI"  link="_numeric=mkeyboard.edit.numeric _lower=mkeyboard.edit.thai"  bottomSpacing="20 10 10 15 20 25"
  charset="@+-- ๑ ๒ ๓ ๔ ู ฿ ๕ ๖ ๗ ๘ ๙ @n @- ๐ ฎ ฑ ธ ํ ๊ ณ ฯ ญ ฐ ฅ @n @+-- ฤ ฆ ฏ โ ฌ ็ ๋ ษ ศ ซ  @n @!$+-%_lower @-% ฉ ฮ ฺ ์ ฒ ฬ ฦ ใ @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.thai"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.edit.THAI"  bottomSpacing="20 10 10 35 25"
  charset="ๅ ภ ถุ ุ ึ ค ต จ ข ช ล ฃ @n @- ๆ ไ ำ พ ะ ั ี ร น ย บ @n @!$+-- ฟ ห ก ด เ ้ ่ า ส ว ง  @n @!$+-%_upper @-% ผ ป แ อ ิ ื ท ม ฝ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.THAI"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.edit.thai"  bottomSpacing="20 10 10 35 25"
  charset="@+-- ๑ ๒ ๓ ๔ ู ฿ ๕ ๖ ๗ ๘ ๙ @n @- ๐ ฎ ฑ ธ ํ ๊ ณ ฯ ญ ฐ ฅ @n @+-- ฤ ฆ ฏ โ ฌ ็ ๋ ษ ศ ซ  @n @!$+-%_lower @-% ฉ ฮ ฺ ์ ฒ ฬ ฦ ใ @+-- @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<!-- 8 = CHINESE -->
<keyboard id="mkeyboard.edit.pinyin"  topHeigth="=#30" link="_numeric=mkeyboard.edit.numeric _alpha=mkeyboard.edit.piyin" bottomSpacing="20 10 10 15 20 25"
  charset="@n Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_upper @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.pinyin"  topHeigth="=#30" link="_numeric=mkeyboard.sl.edit.numeric _alpha=mkeyboard.sl.edit.piyin" bottomSpacing="20 10 10 35 25"
  charset="@n Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_upper @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>

<keyboard id="mkeyboard.edit.zhuyin"  topHeigth="=#30" link="_numeric=mkeyboard.edit.numeric _alpha=mkeyboard.edit.zhuyin _upper=mkeyboard.edit.ZHUYIN" bottomSpacing="20 10 10 15 20 25"
  charset="@n @- ㄅ ㄆ ㄇ ㄈ ㄉ ㄊ ㄋ ㄌ @- @n ㄍ ㄎ ㄏ ㄐ ㄑ ㄒ ㄧ ㄨ ㄩ @n @!$+-%_upper @-% ㄓ ㄔ ㄕ ㄖ ㄗ ㄘ ㄙ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>
<keyboard id="mkeyboard.edit.ZHUYIN"  topHeigth="=#30" link="_numeric=mkeyboard.edit.numeric _alpha=mkeyboard.edit.zhuyin _lower=mkeyboard.edit.zhuyin" bottomSpacing="20 10 10 15 20 25"
  charset="@n @- ㄚ ㄛ ㄜ ㄝ ㄞ ㄟ ㄠ ㄡ @- @n @+-- ㄢ ㄣ ㄤ ㄥ ㄦ ㄧ ㄨ ㄩ @n @!$+-%_lower @-% @$+% @$+% @$+% @$+% @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done @!$_return"/>

<keyboard id="mkeyboard.sl.edit.zhuyin"  topHeigth="=#30" link="_numeric=mkeyboard.sl.edit.numeric _alpha=mkeyboard.sl.edit.zhuyin _upper=mkeyboard.sl.edit.ZHUYIN" bottomSpacing="20 10 10 35 25"
  charset="@n @- ㄅ ㄆ ㄇ ㄈ ㄉ ㄊ ㄋ ㄌ @- @n ㄍ ㄎ ㄏ ㄐ ㄑ ㄒ ㄧ ㄨ ㄩ @n @!$+-%_upper @-% ㄓ ㄔ ㄕ ㄖ ㄗ ㄘ ㄙ @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>
<keyboard id="mkeyboard.sl.edit.ZHUYIN"  topHeigth="=#30" link="_numeric=mkeyboard.sl.edit.numeric _alpha=mkeyboard.sl.edit.zhuyin _lower=mkeyboard.sl.edit.zhuyin" bottomSpacing="20 10 10 35 25"
  charset="@n @- ㄚ ㄛ ㄜ ㄝ ㄞ ㄟ ㄠ ㄡ @- @n @+-- ㄢ ㄣ ㄤ ㄥ ㄦ ㄧ ㄨ ㄩ @n @!$+-%_lower @-% @$+% @$+% @$+% @$+% @-% @!$+-%_backspace @n @!$_back @!$_numeric @!$_switch @$_space @!$_done"/>


<!-- NUMERIC -->
<keyboard id="mkeyboard.edit.numeric" lock="yes" link="_numspec=mkeyboard.edit.numeric.special _alpha=mkeyboard.edit.layout" bottomSpacing="20 10 25 20 25"
    charset="1 2 3 4 5 6 7 8 9 0 @n - / : ; ( ) € \x0026 @ \x0022 @n @!$+-%_numspec @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done @!$_return"/>
<!-- NUMERIC SPECIAL-->
<keyboard id="mkeyboard.edit.numeric.special" lock="yes" link="_numeric=mkeyboard.edit.numeric _alpha=mkeyboard.edit.layout" bottomSpacing="20 10 25 20 25"
    charset="[ ] { } # % ^ * + = @n _ \ | ~ \x003C \x003E $ \x00A3 \x00A5 \x00B7 @n @!$+-%_numeric @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done @!$_return"/>

<!-- NUMERIC SINGLE LINE EDIT-->
<keyboard id="mkeyboard.sl.edit.numeric" lock="yes" link="_numspec=mkeyboard.sl.edit.numeric.special _alpha=mkeyboard.sl.edit.layout" bottomSpacing="20 10 45 25"
    charset="1 2 3 4 5 6 7 8 9 0 @n - / : ; ( ) € \x0026 @ \x0022 @n @!$+-%_numspec @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done"/>
<!-- NUMERIC SPECIAL SINGLE LINE EDIT-->
<keyboard id="mkeyboard.sl.edit.numeric.special" lock="yes" link="_numeric=mkeyboard.sl.edit.numeric _alpha=mkeyboard.sl.edit.layout" bottomSpacing="20 10 45 25"
    charset="[ ] { } # % ^ * + = @n _ \ | ~ \x003C \x003E $ \x00A3 \x00A5 \x00B7 @n @!$+-%_numeric @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done"/>


<!-- NUMERIC STAND ALONE-->
<keyboard id="mkeyboard.edit.numeric.sa" lock="yes" bottomSpacing="20 60 20"
    charset="1 2 3 4 5 @n 6 7 8 9 0 @n @- + - . @!$_backspace @n @!$_back @$_space @!$_done"/>


<!-- NUMERIC ARABIC -->
<keyboard id="mkeyboard.edit.numeric.arab" lock="yes" link="_numspec=mkeyboard.edit.numeric.special.arab _alpha=mkeyboard.edit.layout" bottomSpacing="20 10 25 20 25"
    charset="١ ٢ ٣ ٤ ٥ ٦ ٧ ٨ ٩ ٠ @n - / : ; ( ) € \x0026 @ \x0022 @n @!$+-%_numspec @-% @+-. @+-\x060C @+-\x061F \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done @!$_return"/>
<!-- NUMERIC ARABIC SPECIAL-->
<keyboard id="mkeyboard.edit.numeric.special.arab" lock="yes" link="_numeric=mkeyboard.edit.numeric.arab _alpha=mkeyboard.edit.layout" bottomSpacing="20 10 25 20 25"
    charset="[ ] { } # % ^ * + = @n _ \ | ~ \x003C \x003E $ \x00A3 \x00A5 \x00B7 @n @!$+-%_numeric @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done @!$_return"/>

<!-- NUMERIC ARABIC SINGLE LINE EDIT-->
<keyboard id="mkeyboard.sl.edit.numeric.arab" lock="yes" link="_numspec=mkeyboard.sl.edit.numeric.special.arab _alpha=mkeyboard.sl.edit.layout" bottomSpacing="20 10 45 25"
    charset="١ ٢ ٣ ٤ ٥ ٦ ٧ ٨ ٩ ٠ @n - / : ; ( ) € \x0026 @ \x0022 @n @!$+-%_numspec @-% @+-. @+-\x060C @+-\x061F \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done"/>
<!-- NUMERIC ARABIC SPECIAL SINGLE LINE EDIT-->
<keyboard id="mkeyboard.sl.edit.numeric.special.arab" lock="yes" link="_numeric=mkeyboard.sl.edit.numeric.arab _alpha=mkeyboard.sl.edit.layout" bottomSpacing="20 10 45 25"
    charset="[ ] { } # % ^ * + = @n _ \ | ~ \x003C \x003E $ \x00A3 \x00A5 \x00B7 @n @!$+-%_numeric @-% @+-. @+-, @+-? \x0021 @+-' @-% @!$+-%_backspace @n @!$_back @!$_alpha @$_space @!$_done"/>

    
<!-- SPECIAL -->
<keyboard id="mkeyboard.edit.special" link="_upper=mkeyboard.edit.SPECIAL _numeric=mkeyboard.edit.numeric" lock="no"  bottomSpacing="20 10 40 10 20"
  charset="à á â ã ä å ç è é ê @n @- ë ì í î ï ñ ø ò ó @- @n ô õ ö ß ù ú û ü ý @!$_upper @n @!$_back @!$_switch @$_space @!$_backspace @!$_done"/>
<keyboard id="mkeyboard.edit.SPECIAL" link="_lower=mkeyboard.edit.special _numeric=mkeyboard.edit.numeric" lock="no"  bottomSpacing="20 10 40 10 20"
  charset="À Á Â Ã Ä Å Ç È É Ê @n @- Ë Ì Í Î Ï Ñ Ø Ò Ó @- @n Ô Õ Ö ß Ù Ú Û Ü Ý @!$_lower @n @!$_back @!$_switch @$_space @!$_backspace @!$_done"/>

<!-- CODE -->
<keyboard id="mkeyboard.edit.code" lock="yes"
  charset="@!$1 @!$2 @!$3 @!$4 @!$5 @!$6 @!$7 @!$8 @n @!$9 @!$0 A B C D E F @n G H I J K L M N @n O P Q R S T U V @n @!$+-_back W X Y Z @!$_backspace @!$+-_done"/>

<keyboard id="mkeyboard.edit.coordinate" lock="yes"
  charset="1 2 3 4 5 N S + @n 6 7 8 9 0 E W - @n @!$_cancel ° ' \x00A8 . \xF042 @_backspace @!$_done"/>

<keyboard id="mkeyboard.edit.houseNumber" lock="yes" bottomSpacing="20 60 20"
  charset="1 2 3 4 5 @n 6 7 8 9 0 @n @!$_back @$_backspace @!$_done"/>

<!-- EMAIL -->
<keyboard id="mkeyboard.sl.email"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.EMAIL" bottomSpacing="20 10 15 15 15 25"
  charset="q w e r t y u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% z x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric @$_space @ . @!$_done"/>
<keyboard id="mkeyboard.sl.EMAIL"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.email" lock="no" bottomSpacing="20 10 15 15 15 25"
  charset="Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric @$_space @ . @!$_done"/>

<!-- URL -->
<keyboard id="mkeyboard.sl.url"  link="_numeric=mkeyboard.sl.edit.numeric _upper=mkeyboard.sl.URL" bottomSpacing="20 10 15 15 15 25"
  charset="q w e r t y u i o p @n @- a s d f g h j k l @- @n @!$+-%_upper @-% z x c v b n m @-% @!$+-%_backspace @n @!$_back @!$_numeric . / : @!$_done"/>
<keyboard id="mkeyboard.sl.URL"  link="_numeric=mkeyboard.sl.edit.numeric _lower=mkeyboard.sl.url" lock="no" bottomSpacing="20 10 15 15 15 25"
  charset="Q W E R T Y U I O P @n @- A S D F G H J K L @- @n @!$+-%_lower @-% Z X C V B N M @-% @!$+-%_backspace @n @!$_back @!$_numeric . / : @!$_done"/>